/*
Theme Name: Porto Child
Theme URI: https://www.portotheme.com/wordpress/porto
Author: P-THEMES
Author URI: https://www.portotheme.com/
Description: Porto Responsive WordPress + eCommerce Theme.
Version: 1.1
Template: porto
License: Commercial
License URI: http://themeforest.net/licenses/regular_extended
Tags: woocommerce, corporate, ecommerce, responsive, blue, black, green, white, light, dark, red, two-columns, three-columns, four-columns, left-sidebar, right-sidebar, fixed-layout, responsive-layout, custom-menu, editor-style, featured-images, flexible-header, full-width-template, microformats, post-formats, rtl-language-support, sticky-post, theme-options, translation-ready, accessibility-ready
*/

/*************** ADD YOUR CUSTOM CSS HERE  ***************/
/*common*/
.white, .white h1, .white h2, .white h3, .white h4, .white h5, .white h6, .white a{color: #fff !important;}
.justify{text-align:justify;}
.page-content section {padding-top: 80px;padding-bottom: 50px;}
.page-content section.toggle {padding: 0;}
.page-content section.wpb-content-wrapper {padding-top: 0;padding-bottom: 0;}
.porto-u-main-heading {margin-bottom: 3%;}
.wpcf7-form-control.wpcf7-validates-as-required, input.wpcf7-form-control.wpcf7-captchar {width: 100%;min-height: 50px;border-color: rgba(4,4,4,.4);border-radius: 2px;}
.wpcf7 .vc_row > div {margin-bottom: 15px;}
.wpcf7 .vc_row {margin-left: -15px;margin-right: -15px;}
.submit-btn input {width: 150px;}
.no-breadcrumbs .main-content {padding-top: 0;}
.slick-slider .slick-prev{left: -20px;}
.slick-slider .slick-next{right: -20px;}
.share-links .share-twitter:before {content: "\e61b";}
.vc_column_container>.vc_column-inner {padding-left: 0;padding-right: 0;}
::-webkit-scrollbar{width:5px;}
::-webkit-scrollbar-track{box-shadow:inset 0 0 5px grey;border-radius:10px;}
::-webkit-scrollbar-thumb{background:var(--porto-primary-color);border-radius:30px;}
::-webkit-scrollbar-thumb:hover{background:#444;}
/*end common
 * header*/
#header .main-menu > li.menu-item.btn-menu > a {border: 2px solid var(--porto-primary-color);border-radius: 6px;color: var(--porto-primary-color);font-weight: 500;padding: 8px 30px;font-size: 1rem;transition: all .5s;}
#header .main-menu > li.menu-item > a {line-height: 36px;}
#header .main-menu > li.menu-item.btn-menu > a:after {content: "\f061";font-family: "Font Awesome 6 Free";font-weight: 900;margin-left: 10px;}
#header .main-menu > li.menu-item.btn-menu > a:before {/*content: "";position: absolute;height: 100%;left: 0;top: 0;width: 0;background-color:var(--porto-primary-color);transition: all .5s;z-index: -1;display:block;*/}
#header .main-menu > li.menu-item.btn-menu > a:hover:before {width:100%;}
#header .main-menu > li.menu-item.btn-menu > a:hover {color:#fff;background-color:var(--porto-primary-color);}
#header .header-main {padding: 10px 0;}
#header .header-main.sticky {padding: 0;}


/*end header
 * home*/
.rounded-img img {border-radius: 10px;}
.about-section .img-2 {position: absolute;top: 70px;right: 0;border: 10px solid #fff;border-radius: 20px;filter: saturate(1.2);}
.about-section .stats-block {position: absolute;bottom: 0;left: 15px;padding: 25px 40px;margin-bottom: 0;background-color: var(--porto-secondary-color);border: 10px solid #fff;color: #fff;}
.about-special-txt>.wpb_wrapper{transform: rotate(-90deg);-webkit-text-stroke-width: 2px;-webkit-text-stroke-color: #d9d9d9;color: transparent;letter-spacing: 5px;text-transform: uppercase;right: -50px;bottom: 0;margin-bottom: 0;font-size: 40px;font-weight: 700;}
.about-special-txt{bottom: 15%;position: absolute;right: -15%;}
.about-section .rounded-img {margin-bottom: 0;}
.about-section .stats-block .stats-desc {text-align: left;}
.about-section .stats-block .stats-number, .about-section .stats-block .counter_suffix {-webkit-text-stroke-width: 2px;-webkit-text-stroke-color: #fff;color: transparent;}
a.porto-btn-normal {border: 2px solid var(--porto-primary-color) !important;border-radius: 6px;color: var(--porto-primary-color) !important;font-weight: 500;padding: 15px 30px;font-size: 1rem;background-color: transparent !important;transition: all .5s;}
a.porto-btn-normal>.porto-btn-data:after {content: "\f061";font-family: "Font Awesome 6 Free";font-weight: 900;margin-left: 10px;}
a.porto-btn-normal>.porto-btn-hover {background-color: var(--porto-primary-color);width: 0%;opacity: 1;transition: all .5s;}
a.porto-btn-normal:hover>.porto-btn-hover {width: 100%;opacity: 1;}
a.porto-btn-normal:hover {color:#fff!important;transform: translateY(-2px);box-shadow: 0 6px 14px rgba(0, 0, 0, 0.12), 0 4px 10px rgba(217, 162, 74, 0.35);}
.special-heading h5 {color: var(--porto-secondary-color);letter-spacing: 0;text-transform: uppercase;font-size: 1rem;margin-bottom: 5px;}
.special-heading h2 {font-size: 42px;margin-bottom: 20px;}

/*end home*/
input[type="url"], input[type="color"], input[type="date"], input[type="datetime"], input[type="datetime-local"], input[type="month"], input[type="time"], input[type="week"], textarea, .form-control, select, .porto-wpforms-inline .wpforms-field-large {
    min-height: 30px !important;
    border-color: rgba(4, 4, 4, .4) !important;
    border-radius: 2px !important;
}
.pum-theme-47 .pum-content + .pum-close, .pum-theme-default-theme .pum-content + .pum-close {
    padding: 0px 14px !important;
    background-color:var(--porto-primary-color) !important;
}
div#popmake-57 {
    padding: 0px !important;
    border-radius: 25px !important;
}
/* footer*/
.enquiry-popup-wrapper{
    display:flex;
    flex-wrap:wrap;
    background:#fff;
    border-radius:20px;
    overflow:hidden;
    box-shadow:0 10px 35px rgba(0,0,0,0.15);
}

/* Left Image Section */
.enquiry-left{
    width:50%;
    min-height:250px;
    background:url('https://demo.24by7loans.com/terravoltevsolution/wp-content/uploads/2026/05/31290-2.webp') center center/cover no-repeat;
    position:relative;
}

.enquiry-left::before{
    content:"";
    position:absolute;
    inset:0;
    background:rgba(0,0,0,0.35);
}

.enquiry-left-content{
    position:relative;
    z-index:2;
    color:#fff;
    padding:20px;
    display:flex;
    flex-direction:column;
    justify-content:center;
    height:100%;
}

.enquiry-left-content h2{
    font-size:38px;
    font-weight:700;
    margin-bottom:15px;
	color:#fff;
}

.enquiry-left-content p{
    font-size:16px;
    line-height:1.7;
}

/* Right Form Section */
.enquiry-right{
    width:50%;
    padding:50px 40px;
    background:#ffffff;
}

.enquiry-title{
    font-size:32px;
    font-weight:700;
    margin-bottom:30px;
    color:#111;
    text-align:center;
}

.enquiry-right .form-control{
    width:100%;
    height:38px;
    border-radius:12px;
    border:1px solid #ddd;
    padding:0 18px;
    font-size:15px;
    margin-bottom:18px;
    transition:0.3s;
    box-shadow:none;
}

.enquiry-right .form-control:focus{
    border-color:#198754;
    box-shadow:0 0 0 4px rgba(25,135,84,0.12);
    outline:none;
}

.enquiry-right .btn-success{
    width:100%;
    height:42px;
    border-radius:14px;
    font-size:17px;
    font-weight:600;
    background:#006574;
    border:none;
    transition:0.3s;
}

.enquiry-right .btn-success:hover{
    background:#146c43;
    transform:translateY(-2px);
}

/* Mobile Responsive */
@media(max-width:991px){

    .enquiry-left,
    .enquiry-right{
        width:100%;
    }

    .enquiry-left{
        min-height:280px;
    }

    .enquiry-right{
        padding:35px 25px;
    }

    .enquiry-title{
        font-size:26px;
    }
}
.product-box h2 {
    font-size: 22px !important;
    line-height: 1 !important;
    margin-bottom: 20px !important;
	color: #16737f;
}
.pro-row {
    /* background: red; */
    padding: 16px 0px;
    margin: 35px 0px;
    border-radius: 15px;
    box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;
	transform:translateY(0px);
	transition:all 0.6s ease;
}
.pro-row .wpb_content_element {
    margin-bottom: 0 !important;
}
li.flex-active-slide {
    border-right: 1px solid #00747e;
}
.praa-form {
    position: relative;
    overflow: hidden;
    border: 2px solid #eb2735 !important;
    border-radius: 6px;
    color: #eb2735 !important;
    font-weight: 500;
    padding: 15px 30px;
    font-size: 1rem;
    background-color: transparent !important;
    transition: color .4s ease, transform .4s ease, box-shadow .4s ease !important;
    z-index: 1;
}

/* Background Fill Effect */
.praa-form::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color:#eb2735;
    transition: width .5s ease;
    z-index: -1;
}

.praa-form:hover::before {
    width: 100%;
}

.praa-form:hover {
    color: #fff !important;
	transform: translateY(-2px);
    box-shadow: 0 6px 14px rgba(0, 0, 0, 0.12),
    0 4px 10px rgba(217, 162, 74, 0.35);
}
.product-box p {
    margin-top: 40px !important;
}
.pro-row:hover{
	box-shadow: rgb(0 102 115 / 39%) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 5px 7px 1px;
	transform:translateY(-10px);
}
textarea.form-control {
    min-height: calc(1.5em + 0.75rem + 2px);
    height: 125px !important;
}
.banner-text h2 {
    text-transform: uppercase;
    font-size: 53px;
    font-weight: 500;
    background: linear-gradient(279.62deg, #0a0f27 -1.62%, #fff 24.99%, #ffffff 47.4%, #ffffff 77.04%, #ffffff 107.03%);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
}
.special-heading h2 {
    position: relative;
    left: 0px;
    padding-left: 40px;
}
.special-heading.center h2 {
    position: relative;
    left: 0px;
    padding-left: 40px;
    width: fit-content;
	margin:auto;
}
.special-heading h2::before{
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-37%);
    width: 30px;
    height: 36px;
    background-image: url(https://demo.24by7loans.com/terravoltevsolution/wp-content/uploads/2026/05/energy-1.webp);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.special-heading.center h2::after{
    content: "";
    position: absolute;
    right: -42px;
    top: 50%;
    transform: translateY(-37%);
    width: 30px;
    height: 36px;
    background-image: url(https://demo.24by7loans.com/terravoltevsolution/wp-content/uploads/2026/05/energy-1.webp);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.praa-bg-light {
    background-color: #dceaec;
}
.ct h3{
	font-size:22px;
}
.ct h3 strong {
    background-color: #fff;
    border-radius: 50%;
    font-weight: 500;
    font-size: 18px;
    padding: 10px 12px;
	    color: #e2002e;
}

.ani-img img{
    animation: floatUpDown 3s ease-in-out infinite;
}

@keyframes floatUpDown{
    0%{
        transform: translateY(0px);
    }
    50%{
        transform: translateY(-10px);
    }
    100%{
        transform: translateY(0px);
    }
}
.ct{
    position: relative;
    overflow: hidden;
    border-radius: 20px;
    padding: 30px;
    border: 1px solid #fff;
   background: #0f3b46;
    z-index: 1;
}

/* Fill Background Animation  */
.ct::before{
    content: "";
    position: absolute;
    width: 60px;
    height: 60px;
     /* Hover Color */
    border-radius: 50%;
    background: #d7e3e5;
    
    /* strong circle ke aas paas start */
    top: 22px;
    left: 22px;
    transform: scale(0);
    transition: transform 0.7s ease;
    z-index: -1;
}
a.porto-btn-normal {
    border: 2px solid #eb2735 !important;
    color: #eb2735 !important;
}
a.porto-btn-normal>.porto-btn-hover {
    background-color:#eb2735;
}
#header .main-menu > li.menu-item.btn-menu > a {
    border: 2px solid #eb2735 !important;
    color:#eb2735 !important;
	padding:5px 15px !important;
}
#header .main-menu > li.menu-item.btn-menu > a:hover {
    background-color: #eb2735 !important;
	color:#fff !important;
}
/* Hover par poora fill */
.ct:hover::before{
    transform: scale(25);
}

/* Text Color Change */
.ct h3,
.ct p{
    transition: 0.4s ease;
	color:#fff !important;
}

.ct:hover h3,
.ct:hover p{
    color: #000 !important;
}
.ct:hover h3 strong{
	    color: #e2002e;
}
.praa-bg-dark{
	background-color:#0f3b46;
}
.post-grid .grid-box .entry-title{
font-size:22px !important;
}
.widget .wp-block-search button{
    background-color: var(--porto-primary-color) !important;
    border-color: var(--porto-primary-color) !important;
}
p.post-excerpt {
  text-align: justify;
  display: -webkit-box;
  -webkit-line-clamp: 2; /* Approx. lines to fit ~200 chars */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
line-height: 22px;
}
.post-grid .btn-xs {
  background: linear-gradient(90deg, #006673 0%, #e2002e 50%, #f43130 100%);
  background-size: 200% auto;
  background-position: left center;
  color: white;
  transition: background-position 0.6s ease;
}

.post-grid:hover .btn-xs{
  background: linear-gradient(90deg, #006673 0%, #006673 50%, #f43130 100%);
  background-size: 200% auto;
  background-position: right center !important;
	opacity:1;
}

.post-grid .btn-xs{
    clip-path: polygon(0px 0px, calc(100% - 22px) 0px, 100% 23px, 100% 100%, 0px 100%);
	color: #fff !important;
    font-size: 14px;
}
.post-grid:hover {
    border: 10px solid #ffb425;
}
.blog-posts .post .entry-title {
  display: block;
  overflow: hidden;
  word-wrap: break-word;
}
.post-grid .grid-box {
    padding: 10px;
    box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;
}
.page-top .container .row .col-lg-12 .text-center {
    width: fit-content !important;
    background-color: #00000078;
    margin: auto !important;
    padding: 10px 30px;
    border-radius: 50px;
    border: 0px solid #fff;
    outline: 3px solid #fff;
	margin-bottom: 8px !important;

}
#footer .footer-bottom {
    padding: 0px 0 !important;
}
#footer .footer-main>.container {
    padding-top: 0.75rem !important;
    padding-bottom: 0.4rem !important;
}
aside#media_image-2 {
    max-width: 200px !important;
}
#header .main-menu > li.menu-item > a {font-size: 19px !important;}
.charging-app .porto-sicon-box.default-icon {
    justify-content: center;
    border: 2px solid red;
    padding: 10px 0px;
    border-radius: 10px;
}
/* Main Box Style */
.charging-app .porto-sicon-box {
    position: relative;
    overflow: hidden;
    padding: 30px 20px;
    border-radius: 20px;
    background: #fff;
    transition: all 0.4s ease;
    cursor: pointer;
}

/* Hover Effect on Box */
.charging-app .porto-sicon-box:hover {
    transform: translateY(-10px);
    box-shadow: 0 20px 40px rgba(0,0,0,0.15);
    background: linear-gradient(135deg, #ffffff, #f3f8ff);
}

/* Shine Effect */
.charging-app .porto-sicon-box::before {
    content: "";
    position: absolute;
    top: -120%;
    left: -120%;
    width: 200%;
    height: 200%;
    background: rgba(255,255,255,0.25);
    transform: rotate(45deg);
    transition: 0.7s;
}

.charging-app .porto-sicon-box:hover::before {
    top: 100%;
    left: 100%;
}

/* =========================
   IMAGE ANIMATION 3
   Pulse Glow
========================= */
.charging-app .porto-sicon-img {
    position: relative;
}

.charging-app .porto-sicon-img::after {
    content: "";
    position: absolute;
    inset: 10px;
    border-radius: 50%;
    background: rgba(0, 153, 255, 0.15);
    z-index: -1;
    animation: pulseGlow 2s infinite;
}

@keyframes pulseGlow {
    0% {
        transform: scale(0.9);
        opacity: 0.6;
    }
    70% {
        transform: scale(1.2);
        opacity: 0;
    }
    100% {
        transform: scale(0.9);
        opacity: 0;
    }
}

/* Title Hover */
.charging-app .porto-sicon-title {
    transition: 0.3s;
}

.charging-app .porto-sicon-box:hover .porto-sicon-title {
        color: var(--porto-primary-color);
    letter-spacing: 1px;
}
.praa-d-flex .wpb_wrapper.vc_column-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.banner-btn a.porto-btn-normal {
    border: 2px solid #ffffff !important;
    color: #ffffff !important;
	background-color:#eb2735 !important;
	margin-top:25px;
}
.textwidget textarea.wpcf7-form-control.wpcf7-textarea.form-control {
max-height: 40px;
}
.textwidget .mb-3 {
    margin-bottom: 7px;
}
.vision-mission .porto-sicon-box {
    border: 1px solid;
    border-color: rgba(0, 230, 118, 0.25);
    max-width: 500px;
    margin: auto;
    padding: 54px;
	border-radius:20px;
}
.why h3 strong {
    background-color: #0f3b46;
    padding: 5px;
    font-size: 17px;
    border-radius: 5px;
    position: relative;
    top: 0px;
}
.why h3 {
    font-size: 20px;
	margin: 0;
}

.special-heading h2 strong{color: #006673;}
.bg-dark .special-heading h2 strong{color: #fff !important;}
.page-id-245 .main-content {
    padding-top: 0px !important;
}
.con-bg{
    position: relative;
    overflow: hidden;
}

.con-bg::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000000ba; /* black overlay */
    z-index: 0;
}
.con-page-form, .con-ico-box{
    background: linear-gradient(
        135deg,
        rgba(255,255,255,0.18),
        rgba(255,255,255,0.05)
    );

    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(14px);

    border: 1px solid rgba(255,255,255,0.18);
    border-radius: 24px;

    box-shadow:
        0 8px 32px rgba(0,0,0,0.25),
        inset 0 1px 1px rgba(255,255,255,0.2);

    padding: 35px;
}
.vc_custom_1779095894385 > *{
    position: relative;
    z-index: 2;
}
strong.ti-rating.ti-rating-large {
    color: #fff;
}
.con-ico-box .porto-sicon-box-link, .con-ico-box .porto-sicon-title,.con-ico-box .porto-sicon-description a{
	color:#fff !important;
}
/* Image smooth setup */

.con-ico-box .porto-sicon-img{padding:10px 0px !important;}
.con-ico-box .porto-sicon-img img{
    width: 70%;
    margin: auto;
    transition: all 0.3s ease;
    transform-origin: center;
}

/* Heartbeat / Vibrate Effect */
.con-ico-box:hover .porto-sicon-img img{
    animation: britbreat 0.8s infinite;
}

@keyframes britbreat{
    0%{
        transform: scale(1);
    }
    14%{
        transform: scale(1.15);
    }
    28%{
        transform: scale(1);
    }
    42%{
        transform: scale(1.15);
    }
    70%{
        transform: scale(1);
    }
}
.con-map .wpb_wrapper iframe {border-radius: 20px !important;}
.praa-p-tb-50{
	padding:50px 0px;
}

.right-center {
    position: fixed;
    top: 55%;
    right: 0;
    transform: translateY(-50%);
    z-index: 9999;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}
.right-center a i {
    width: 35px;
    text-align: center;
    font-size: 16px;
    flex-shrink: 0;
}
.right-center a {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 35px;
    height: 35px;
    margin: 5px 0;
    text-decoration: none;
    color: #fff;
    overflow: hidden;
    transition: width 0.4s ease;
    border-radius: 10px 0 0 10px;
}
.right-center a:hover {
    width: 115px;
}

.right-center #facebook{
	background-image: linear-gradient(90deg, #5F95FC 0%, #3b5a9a 100%);}
.right-center #instagram{
	background-image: linear-gradient(90deg, #df72ab 0%, #e12687 100%);}
.right-center #tiktok{    
	background-image: linear-gradient(90deg, #00000099 0%, #000 100%);}
.right-center #whatsapp{
    background-image: linear-gradient(90deg, #38ff74 0%, #0dc143 100%);}
.right-center #call-now{
   background-image: linear-gradient(90deg, #5F95FC 0%, #3D5DFF 100%);}
/*end footer*/
/*responsive*/
@media screen and (min-width: 991px) {
	.container, .container-sm, .container-md, .container-lg, .container-xl {max-width: 1350px;--porto-flick-carousel-width: 1350px;}
}
@media screen and (max-width: 992px) {
	.enquiry-left{display:none;}
}
/*end responsive*/